<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="LineGraphBlack.aspx.vb" Inherits="i9.Dashboard.LineGraphBlack" %>

<!DOCTYPE html>
<html>
<head>
    <style>
        #print
        {
            float: right;
            font-family: Verdana;
            color: #0B62A4;
            font-size: 10px;
            right: 10px;
            bottom: 0;
            position: fixed;
            cursor: pointer;
        }
    </style>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script> 
    <script type="text/javascript">
        google.load("visualization", "1", { packages: ["corechart"] });
        google.setOnLoadCallback(drawChart);

        function drawChart() {

            var data = new google.visualization.DataTable();
            data.addColumn('string', 'X');
            data.addColumn('number', 'F');
            data.addColumn('number', 'FP');
            
            data.addRows(<%= TheData%>);

            var options = {
                backgroundColor: {fill: '#192B37'},
                chartArea: {
                    backgroundColor: {fill: '#192B37'},
                    left: 30,
                    top: 12,
                    width: 820
                },
                vAxis: {
                    viewWindow: { min: -1 },
                	textStyle: { color: 'white' }
                },
                hAxis: {
                    textStyle: { color: 'white' }
                },
                legend: {
                    textStyle: { color: 'white' }
                },
                curveType: 'function',
                colors: ['#52DD63', '#E7E74E']
                };

            var chart = new google.visualization.LineChart(document.getElementById('chart_div'));
            chart.draw(data, options);
        }
    </script>
</head>
<body style="background-color: #192B37; overflow:hidden;">
    <div id="chart_div" style="width:930px; height:130px;">
    </div>
</body>
</html>
